"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createExportName = exports.formatVueBindingName = void 0;
function formatVueBindingName(binding, storeClassName) {
    let value = binding !== null && binding !== void 0 ? binding : storeClassName;
    if (value.endsWith('Store')) {
        value = value.replace('Store', '');
        value = value.charAt(0).toLowerCase() + value.slice(1);
    }
    return "$" + value;
}
exports.formatVueBindingName = formatVueBindingName;
function createExportName(className) {
    className = className.charAt(0).toLowerCase() + className.slice(1);
    if (className.toLowerCase().endsWith('store')) {
        className = className.slice(0, -5);
    }
    return className;
}
exports.createExportName = createExportName;
//# sourceMappingURL=Formatting.js.map