export declare class CodeSnippet {
    content: string;
    exampleText: string;
    includeCodeSnippet: boolean;
    includeCodeSnippetLocation: 'after' | 'before';
    constructor(content?: string, exampleText?: string, includeCodeSnippet?: boolean, includeCodeSnippetLocation?: 'after' | 'before');
    get canIncludeCodeSnippet(): "" | "after" | "before";
}
export declare const errorMessages: {
    stateGetter: {
        publicOrPrivate: () => (string | CodeSnippet)[];
        nonStatic: () => (string | CodeSnippet)[];
        invalidBody: () => (string | CodeSnippet)[];
        mustBeGetter: () => (string | CodeSnippet)[];
        missingStateGetter: (className: string) => (string | CodeSnippet)[];
    };
    store: {
        missingExport: (className: string) => (string | CodeSnippet)[];
    };
    lifecycle: {
        multipleLifeCycleHandlersDefinedForMethod: (methodName: string, currentEvent: string, storeName?: string) => (string | CodeSnippet)[];
        multipleLifeCycleHandlersDefinedForEvent: (methodName: string, storeName?: string) => string[];
    };
};
