"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lifeCycleEventName = exports.isLifeCycleEvent = exports.LifeCycleEvent = void 0;
var LifeCycleEvent;
(function (LifeCycleEvent) {
    LifeCycleEvent["BeforeAll"] = "BeforeAll";
    LifeCycleEvent["OnInit"] = "OnInit";
    LifeCycleEvent["OnDispose"] = "OnDispose";
    LifeCycleEvent["AfterAll"] = "AfterAll";
})(LifeCycleEvent = exports.LifeCycleEvent || (exports.LifeCycleEvent = {}));
function isLifeCycleEvent(name) {
    return Object.values(LifeCycleEvent).includes(name);
}
exports.isLifeCycleEvent = isLifeCycleEvent;
function lifeCycleEventName(name) {
    return `@${name}`;
}
exports.lifeCycleEventName = lifeCycleEventName;
//# sourceMappingURL=LifeCycle.js.map