import ts, { Expression } from "typescript";
export declare function newClassInstance(name: string, params: Expression[]): ts.NewExpression;
/**
 * This will convert the object passed to it, to typescript AST nodes so it can be printed.
 * Ex:
 * createObjectNode({key : value});
 *
 * @param obj
 * @returns {ts.ObjectLiteralExpression}
 */
export declare function createObjectNode(obj: any): ts.ObjectLiteralExpression;
export declare function createNodeFromValue(value: any): any;
export declare class UnwrappableNode {
    node: ts.Node;
    constructor(node: ts.Node);
}
export declare function unwrappableNode(node: ts.Node): UnwrappableNode;
